## xc3sprog 0+svn795+dfsg

=== debian/changelog ===
xc3sprog (0+svn795+dfsg-5) unstable; urgency=medium

  * Fix build with cmake4 (Closes: #1113638)
  * pkg-config -> pkgconf
  * Bump Standards-Version
  * Add no-manual-page to lintian-overrides
  * Change email
  * Remove redundant rules-requires-root
  * Update debian/watch file
  * Add more security options
  * Change architecture to be Linux only

 -- Ricardo Ribalda Delgado <ribalda@debian.org>  Tue, 07 Oct 2025 08:15:54 +0000

xc3sprog (0+svn795+dfsg-4) unstable; urgency=medium

  * Fix build with gcc-11 (Closes: #984412)

 -- Ricardo Ribalda Delgado <ricardo@ribalda.com>  Thu, 04 Mar 2021 19:48:47 +0100

xc3sprog (0+svn795+dfsg-3) unstable; urgency=medium

  * Add debian/watch
  * CMakeLists.txt: Revert change by FORTIFY_SOURCE
  * xc2c_warp: Spell check
  * debian/control: wrap and sort
  * debian/control: update debhelper compat to 13
  * debian/control: bump standards-version, no changes
  * debian/rules: Add hardening options

 -- Ricardo Ribalda Delgado <ricardo@ribalda.com>  Fri, 05 Jun 2020 09:05:45 +0200

xc3sprog (0+svn795+dfsg-2) unstable; urgency=medium

  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set field Upstream-Contact in debian/copyright.
  * Changed vcs type from Svn to Git based on URL.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update salsa CI file
  * Enable -D_FORTIFY_SOURCE=2

 -- Ricardo Ribalda Delgado <ricardo@ribalda.com>  Mon, 11 May 2020 11:41:27 +0200

xc3sprog (0+svn795+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #639956)
  * Enable CI for salsa
  * Fix copyright

 -- Ricardo Ribalda Delgado <ricardo@ribalda.com>  Mon, 14 Jan 2019 11:03:00 +0100
