=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: xc3sprog
 Section: electronics
 Priority: optional
-Maintainer: Ricardo Ribalda Delgado <ricardo@ribalda.com>
-Build-Depends: cmake, debhelper (>= 11), libftdi1-dev, libusb-dev, pkg-config
-Standards-Version: 4.2.1
+Maintainer: Ricardo Ribalda Delgado <ribalda@debian.org>
+Build-Depends: cmake,
+               debhelper-compat (= 13),
+               libftdi1-dev,
+               libusb-dev,
+               pkgconf
+Standards-Version: 4.7.2
 Homepage: http://xc3sprog.sourceforge.net/
-Vcs-Browser: https://sourceforge.net/p/xc3sprog/code/HEAD/tree/
-Vcs-Svn: https://svn.code.sf.net/p/xc3sprog/code/
-Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/ribalda-guest/xc3sprog
+Vcs-Git: https://salsa.debian.org/ribalda-guest/xc3sprog.git
 
 Package: xc3sprog
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Architecture: linux-any
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: JTAG flashing tool for FPGAs, CPLDs and EEPROMs
  xc3sprog is a suite of utilities for programming Xilinx FPGAs, CPLDs, and
  EEPROMs with the Xilinx Parallel Cable and other JTAG adapters under Linux.
