=== debian/watch ===
version: 5

Source: svn://svn.code.sf.net/p/xc3sprog/code/trunk
Matching-Pattern: HEAD
Compression: xz
Dversionmangle: s/\+dfsg(\.?\d+)?$//
Mode: svn
Repack: yes
Uversionmangle: s/^0.0~/0\+/
